org.jfree.xml.generator.model

## Class KeyDescription

- java.lang.Object
- - org.jfree.xml.generator.model.KeyDescription

-     public class KeyDescription
      extends java.lang.Object

  A key description.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyDescription(TypeInfo[] parameters)` Creates a new key description instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Comments` | `getComments()` Returns the comments.
    `TypeInfo[]` | `getParameters()` Returns the parameters.
    `void` | `setComments(Comments comments)` Sets the comments.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyDescription

          public KeyDescription(TypeInfo[] parameters)

      Creates a new key description instance.
      Parameters:
        `parameters` - the parameters.

  - ### Method Detail

    - #### getParameters

          public TypeInfo[] getParameters()

      Returns the parameters.
      Returns:
        The parameters.

    - #### getComments

          public Comments getComments()

      Returns the comments.
      Returns:
        The comments.

    - #### setComments

          public void setComments(Comments comments)

      Sets the comments.
      Parameters:
        `comments` - the comments.